Skip to main content
POST
Create an NGN recipient
Recipient creation is idempotent and must use a unique request ID.

Authorizations

X-Key-Id
string
header
required

This selects the registered RSA public key. Also send X-Timestamp, X-Idempotency-Id and X-Digital-Signature.

Headers

X-Key-Id
string
required

Also send X-Timestamp, X-Idempotency-Id and X-Digital-Signature. Sign the exact raw request bytes.

Example:

"prod-2026-02"

Path Parameters

storeId
string<uuid>
required

Body

application/json
currency
string
required
Example:

"NGN"

payment_rail
string
required
Example:

"BANK_TRANSFER"

bank_name
string
required
Example:

"Parkway"

account_number
string
required
Example:

"8120001540"

bank_code
string
required
Example:

"058"

Response

Created recipient

id
string<uuid>
account_owner_name
string
active
boolean
currency
string
account_id
string
payment_rail
string
bank_name
string
last_4
string